org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPClassTemplate

All Superinterfaces:
  Cloneable, org.eclipse.core.runtime.IAdaptable, IBinding, ICompositeType, ICPPBinding, ICPPClassType, ICPPPartiallySpecializable, ICPPTemplateDefinition, IType

All Known Subinterfaces:
  ICPPClassTemplatePartialSpecialization, ICPPClassTemplatePartialSpecializationSpecialization, ICPPTemplateTemplateParameter

    public interface ICPPClassTemplate
    extends ICPPClassType, ICPPPartiallySpecializable

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPClassType

`EMPTY_CLASS_ARRAY, k_class, v_private, v_protected, v_public`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.ICompositeType

`k_struct, k_union`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPTemplateInstance` `asDeferredInstance()` Returns a deferred instance that allows lookups within this class template.
`ICPPClassTemplatePartialSpecialization[]` `getPartialSpecializations()` Returns the partial specializations of this class template.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPClassType

`findField, getAllDeclaredMethods, getBases, getConstructors, getDeclaredFields, getDeclaredMethods, getFields, getFriends, getMethods, getNestedClasses, getUsingDeclarations, getVisibility, isFinal`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.ICompositeType

`getCompositeScope, getKey, isAnonymous`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateDefinition

`getTemplateParameters`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getPartialSpecializations

    ICPPClassTemplatePartialSpecialization[] getPartialSpecializations()

Returns the partial specializations of this class template.

Specified by:
  `getPartialSpecializations` in interface `ICPPPartiallySpecializable`

#### asDeferredInstance

    ICPPTemplateInstance asDeferredInstance()

Returns a deferred instance that allows lookups within this class template.

Since:
  5.1